package application

import (
	"sync"
	"time"

	"sirlab.de/go/knowyt/applicationConfig"
	"sirlab.de/go/knowyt/game"
	"sirlab.de/go/knowyt/user"
)

type Application struct {
	mu          sync.Mutex
	config      applicationConfig.ApplicationConfig
	users       map[string]*user.User
	games       map[string]*game.Game
	playerATime map[string]time.Time
	debounceMap map[string]bool
}
