package game

import (
	"fmt"
)

func (gm *Game) FinishGame() {
	state, _ := gm.GetState()
	if state != STATE_IDLE && state != STATE_PLAY {
		fmt.Printf("%s invalid state, can't finish game in %s state\n", gm.id, state)
		return
	}

	gm.runFinal()
}
