import buildUrl from 'build-url'

export type QueryParams = {
  [name: string]: string
}

export async function callApi(path: string, queryParams?: QueryParams) {
  const url = buildUrl('/', {
    path,
    queryParams,
  })

  return await $fetch(url)
}
